Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Interface ILogContext

All Known Implementing Classes:
  ILogContext.DefaultLogContext

    public interface ILogContext

Classes that implement this interface are capable of supplying context information for a log entry including programmer, user and admin locales and an application specific context string.

Nested Class Summary
`static class` | `ILogContext.DefaultLogContext` This class implements a default log context.

Field Summary
`static ILogContext` | `DEFAULT_CONTEXT` Provides a default log context returning the default VM locale and no application context.

Method Summary
`Locale` | `getAdminLocale()` Gets the current locale of the administrator.
`String` | `getApplicationContext()` Gets the application specific context for the entry.
`Locale` | `getProgrammerLocale()` Gets the current locale of the programmer.
`Locale` | `getUserLocale()` Gets the current locale of the user.

Field Detail

### DEFAULT_CONTEXT

    static final ILogContext DEFAULT_CONTEXT

  Provides a default log context returning the default VM locale and no application context.

Method Detail

### getUserLocale

    Locale getUserLocale()

  Gets the current locale of the user.

  Returns
    the user locale

### getProgrammerLocale

    Locale getProgrammerLocale()

  Gets the current locale of the programmer.

  Returns
    the programmer locale

### getAdminLocale

    Locale getAdminLocale()

  Gets the current locale of the administrator.

  Returns
    the administrator locale

### getApplicationContext

    String getApplicationContext()

  Gets the application specific context for the entry.

  Returns
    the application specific context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved